""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
xClothesXRef = { # "name in max file": "loc path"
                # Hair
                "Hair Tint":                "ACA.Clothing.HairTint",
                "Short Hair - Left Part":   "ACA.Clothing.ShortHairLeftPart",
                "Short Hair - Right Part":  "ACA.Clothing.ShortHairRightPart",
                "Afro":                     "ACA.Clothing.Afro",
                "Pony Tail":                "ACA.Clothing.PonyTail",
                "Ponytail":                 "ACA.Clothing.PonyTail",
                "Roman":                    "ACA.Clothing.Roman",
                "Bald":                     "ACA.Clothing.Bald",
                "Balding":                  "ACA.Clothing.Balding",
                "Curly":                    "ACA.Clothing.Curly",
                "Hard Hat":                 "ACA.Clothing.HardHat",
                "Golf Cap":                 "ACA.Clothing.GolfCap",
                "Cap":                      "ACA.Clothing.Cap",
                "Hat":                      "ACA.Clothing.Hat",
                "Panama Hat":               "ACA.Clothing.PanamaHat",
                "Knit Hat":                 "ACA.Clothing.KnitHat",
                "HardHat":                  "ACA.Clothing.HardHat",
                # Face
                "Face":                     "ACA.Clothing.Face",
                "Eyes":                     "ACA.Clothing.Eyes",
                "Glasses":                  "ACA.Clothing.Glasses",
                # Upper body
                "Shirt":                        "ACA.Clothing.Shirt",
                "Logo":                         "ACA.Clothing.Logo",
                "Jacket":                       "ACA.Clothing.Jacket",
                "V-Neck":                       "ACA.Clothing.VNeck",
                "Coat":                         "ACA.Clothing.Coat",
                "Sweater":                      "ACA.Clothing.Sweater",
                "T-Shirt":                      "ACA.Clothing.TShirt",
                "Long Sleeve Shirt":            "ACA.Clothing.LongSleeveShirt",
                "Long Sleeve Shirt - Clock":    "ACA.Clothing.LongSleeveShirtClock",
                "Long Sleeve Shirt - Tower":    "ACA.Clothing.LongSleeveShirtTower",
                "Long Sleeve T-Shirt":          "ACA.Clothing.LongSleeveTShirt",
                "Long Sleeve T-Shirt - Myst":   "ACA.Clothing.LongSleeveTShirtMyst",
                "Long Sleeve T-Shirt - Riven":  "ACA.Clothing.LongSleeveTShirtRiven",
                "Long Sleeve T-Shirt - Cosmic Osmo": "ACA.Clothing.LongSleeveTShirtCosmicOsmo",
                "Leather Jacket":               "ACA.Clothing.LeatherJacket",
                "Leather Jacket - DRC":         "ACA.Clothing.LeatherJacketDRC",
                "Leather Jacket - Clock":       "ACA.Clothing.LeatherJacketClock",
                "Leather Jacket - Tower":       "ACA.Clothing.LeatherJacketTower",
                "Shearling Coat":               "ACA.Clothing.ShearlingCoat",
                "Dress Shirt":                  "ACA.Clothing.DressShirt",
                "Fleece Pullover":              "ACA.Clothing.FleecePullover",
                "Zipper":                       "ACA.Clothing.Zipper",
                "zipper":                       "ACA.Clothing.Zipper",
                "Pullover":                     "ACA.Clothing.Pullover",
                "Tie Dye T-Shirt":              "ACA.Clothing.TieDyeTShirt",
                "Tie Dye Shirt":                "ACA.Clothing.TieDyeTShirt",
                "Dye 1":                        "ACA.Clothing.Dye1",
                "Dye 2":                        "ACA.Clothing.Dye2",
                "Blouse":                       "ACA.Clothing.Blouse",
                "Undershirt":                   "ACA.Clothing.Undershirt",
                "Leather":                      "ACA.Clothing.Leather",
                "Highland Sweater":             "ACA.Clothing.HighlandSweater",
                "Turtleneck":                   "ACA.Clothing.Turtleneck",
                "Short Sleeve T-Shirt":         "ACA.Clothing.ShortSleeveTShirt",
                "Short Sleeve T-Shirt - Myst":  "ACA.Clothing.ShortSleeveTShirtMyst",
                "Short Sleeve T-Shirt - Riven": "ACA.Clothing.ShortSleeveTShirtRiven",
                "Short Sleeve T-Shirt - Cosmic Osmo": "ACA.Clothing.ShortSleeveTShirtCosmicOsmo",
                "Knit Sweater":                 "ACA.Clothing.KnitSweater",
                "Yeesha Reward":                "ACA.Clothing.YeeshaReward",
                "Work Shirt":                   "ACA.Clothing.WorkShirt",
                "Polo Shirt":                   "ACA.Clothing.PoloShirt",
                "Hooded Sweatshirt":            "ACA.Clothing.HoodedSweatshirt",
                "Sweatshirt":                   "ACA.Clothing.Sweatshirt",
                "Bomber Jacket":                "ACA.Clothing.BomberJacket",
                "Sleeveless Shirt":             "ACA.Clothing.SleevelessShirt",
                "Windbreaker":                  "ACA.Clothing.Windbreaker",
                "Color1":                       "ACA.Clothing.Color1",
                "Color2":                       "ACA.Clothing.Color2",
                "Backpack":                     "ACA.Clothing.FieldVest",
                "Vest":                         "ACA.Clothing.Vest",
                # Hands
                "Hand":                     "ACA.Clothing.Hand",
                "Hands":                    "ACA.Clothing.Hands",
                "Nails":                    "ACA.Clothing.Nails",
                "Glove":                    "ACA.Clothing.Glove",
                "Gloves":                   "ACA.Clothing.Gloves",
                "Fingerless Gloves":        "ACA.Clothing.FingerlessGloves",
                "Canvas Gloves":            "ACA.Clothing.CanvasGloves",
                # Lower body
                "Shorts":                   "ACA.Clothing.Shorts",
                "Jeans":                    "ACA.Clothing.Jeans",
                "Pants":                    "ACA.Clothing.Pants",
                "Sailor Pants":             "ACA.Clothing.SailorPants",
                "Khakis":                   "ACA.Clothing.Khakis",
                "Belt":                     "ACA.Clothing.Belt",
                "Cargo Pants":              "ACA.Clothing.CargoPants",
                "Capris":                   "ACA.Clothing.Capris",
                "Cargo Shorts":             "ACA.Clothing.CargoShorts",
                # Feet
                "Sandal":                   "ACA.Clothing.Sandal",
                "Sandals":                  "ACA.Clothing.Sandals",
                "Hiking Boots":             "ACA.Clothing.HikingBoots",
                "Shoe":                     "ACA.Clothing.Shoe",
                "Shoes":                    "ACA.Clothing.Shoes",
                "Laces":                    "ACA.Clothing.Laces",
                "Running Shoes":            "ACA.Clothing.RunningShoes",
                "Hiking Shoes":             "ACA.Clothing.HikingShoes",
                "Boot":                     "ACA.Clothing.Boot",
                "Boots":                    "ACA.Clothing.Boots",
                "Bare Feet":                "ACA.Clothing.BareFeet"
}
