""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xGZHelpJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xGreatZeroInfoJournalCover_eng*1#0.hsm"><font size=10 face=courier color=000000><margin left=62 right=62 top=62 bottom=48><p align=center>

<p align=left>Welcome to the Great Zero! 

You'll notice a number of different areas to the Great Zero Structure as well as a number of various machines. We apologize for the great detail but the structure and related mechanisms and systems are somewhat complicated. 

Antechamber

You are currently standing in the Great Zero Antechamber. Though you can see the Great Zero machinery through the small window, access to the Great Zero Courtyard is not available directly from the antechamber. In order to access the plaza, you will need to upload fifteen Great Zero Markers (GZM's) into the Great Zero system and link into the plaza via your nexus. 

Great Zero Marker (GZM) Uploads

Great Zero Markers, found in numerous locations throughout the cavern, are fairly easy to find and, by following a few easy steps, simple to upload into the system. 

1. Make sure you have a KI of version 2.0 or higher. If you have not been to Gahreesen and retrieved a KI from the dispenser in the Well (see directions in your local neighborhood), you will need to do that first. 

2. Once you have a KI version 2.0 or higher, you still need to upgrade your KI to retrieve marker coordinates. That can be done easily by placing your KI into the upload machine in this room. The first time a KI is inserted, the system will enable your KI to retrieve markers. If you see 15 faint colored lights on your KI, then you have properly enabled your KI to retrieve markers. 

3. Find GZM's. They are located throughout the cavern in a variety of locations. (Please note that markers can be in a large variety of places, not just the more common paths.) However, be aware that these markers will not be visible unless they sense an upgraded KI within twenty-five feet. 

4. Once you have found a GZM, you will need to press the "register button" located on your KI. You will know the GZM has been registered if one of the faint lights turns solid. 

5. Once you have found 15 GZM's (and have 15 solid lights on your KI) you will need to return here, to the antechamber, and upload your GZM's into the system. You can use the same machine you used to initiate your KI to do that. 

Great Zero Courtyard

1. Once you have uploaded 15 GZM's, you will find a new link in your Nexus. That link will take you to the Great Zero courtyard, the central location of the Great Zero neutrino dispenser. 
2. You will see another upload machine inside of the courtyard as well as a couple of doors toward the back of the room. 

Great Zero Calibration Center Access

1. The calibration center located beyond the courtyard cannot be accessed unless a KI has registered at least thirty GZM's (15 more then are needed to access the courtyard). Registering is done the same way as listed above; you'll have 15 new faint lights. As GZM's are found, they will turn solid again.

2. Once 15 more (30 total) GZM's have been uploaded (in either the courtyard or the antechamber) the doors leading to the calibration center will automatically open for you from that point forward. 

Great Zero Calibration Center

1. Most important to the calibration center are the four Great Zero Maintenance Units (GZMU) toward the back as well as the Calibration Imager (CI). 

2. Once you have uploaded thirty GZ Markers in upload machines in either the antechamber or courtyard, you will be allowed access to the machines and the ability to find a new type of marker known as a Calibration Great Zero Marker (CGZM). 

Calibration Great Zero Markers (CGZM's)

1.CGZM's function in a similar fashion as GZM's with two main differences: first, CGZM's are always visible once they have been assigned to an individual. In other words, unlike GZM's that only appear when a KI is detected within twenty-five feet, CGZM's are only visible to those who have been assigned them. Secondly, CGZM's are not activated by the "activate" button on your KI but instead by passing through them with your body.

2.To be assigned a CGZM mission, you will need to find a GZMU and choose one of the missions from the 14 available. The number of CGZM's and locations of those markers vary with each mission. All missions are timed. Timing begins when the first marker has been registered and ends when the last maker has been registered. A mission can be repeated in order to try and successfully complete the mission in shorter times.

3.Please note that a mission is only assigned to one person at a time. Similar to the way the GZM's interacted with your KI, you will see a number of lights (corresponding to the CGZM's in the mission) on the side of your KI. Once all of the markers have been found (by walking through them), the markers need to be uploaded via the GZMU in the Great Zero Calibration Center. 

4.It's also important to note that times seen in the GZMU are your shortest times and not other visitors. The fastest times, globally, are displayed in your KI Inbox and updated dynamically. 

5.If two people wish to be assigned the same mission, both of you will need to choose the same mission in order to see the same markers. Please note that both of you will need to register markers on your own individual KI's in order to properly finish the mission. You cannot share a mission.

While we at the DRC hope that the missions help you have a better understanding of the city and cavern areas, we also hope you realize how vital your success is to help calibrate our Great Zero. We appreciate your support greatly. 

Calibration Image (CI)

1.As a symbol of how calibrations are coming, the Calibration Imager (CI) will be displaying various images in a variety of states. Depending on how complete a certain stage of calibration is, the image will be easier or more difficult to make out.  

2.Victor Laxman will predetermine these dynamic "progress reports" images. 

Again, thank you for visiting the Great Zero and we appreciate your patience and support. 
"""
