""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xGZHelpJournalGerman
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKIJournalCover*1#0.hsm"><font size=10 face=courier color=000000><margin left=62 right=62 top=62 bottom=48><p align=center>

<p align=left>Willkommen zum Groen Nullpunkt! 

Sie werden feststellen, dass die Groe Nullpunkt-Anlage aus verschiedenen Bereichen und Gerten besteht. Wir bitten, die groe Menge an Informationen zu entschuldigen, aber die Mechanismen und Systeme sind sehr komplex. 

Vorbereich

Sie befinden sich zurzeit im Vorbereich der Groen Nullpunkt-Anlage. Sie knnen die eigentliche Anlage durch das kleine Fenster sehen, allerdings ist es nicht mglich, den Hof durch den Vorbereich zu betreten. Um dorthin zu kommen, mssen Sie 15 Groe-Nullpunkt-Marker (GNM) in das System bertragen und dann ber Ihren Nexus eine Verbindung zum Hof benutzen. 

bertragung der Groe-Nullpunkt-Marker (GNM)

Die Groe-Nullpunkt-Marker sind problemlos berall in der Hhle zu finden und mit der folgenden Anleitung genauso mhelos in das System zu bertragen. 

1. Stellen Sie sicher, dass Sie KI-Version 2.0 oder hher besitzen. Falls Sie noch nicht in Gahreesen waren und sich Ihre KI geholt haben, mssen Sie dies zuerst nachholen. Weitere Informationen finden Sie in Ihrer Gemeinde. 

2. Wenn Sie KI-Version 2.0 oder hher besitzen, mssen Sie diese fr die Benutzung mit den Marker-Koordinaten aktualisieren. Dies knnen Sie problemlos tun, indem Sie Ihre KI in die bertragungsmaschine in diesem Raum legen. Wenn Sie Ihre KI zum ersten Mal dort hineinlegen, wird das System Ihre KI entsprechend aktualisieren. Wenn Sie 15 farbige Lichter auf Ihrer KI sehen, knnen Sie diese zum Einlesen von Marker-Koordinaten verwenden. 

3. Suchen Sie GNMs. Sie befinden sich an den unterschiedlichsten Orten in dieser Hhle. Bitte beachten Sie, dass sich die Marker an den seltsamsten Orten in der Hhle befinden knnen und nicht nur entlang der vorgegebenen Wege. Beachten Sie auch, dass Sie die Marker erst sehen knnen, wenn Sie sich ihnen mit einer entsprechenden KI bis auf ca. 8 Meter genhert haben. 

4. Wenn Sie einen GNM gefunden haben, mssen Sie die Einlese-Taste auf Ihrer KI drcken. Wenn eines der bunten Lichter aufleuchtet, so hat die KI den GNM eingelesen. 

5. Nachdem Sie 15 GNMs gefunden haben (auf Ihrer KI leuchten 15 Lichter), mssen Sie hierher in den Vorbereich zurckkehren und die GNMs in das System bertragen. Dazu knnen Sie die gleiche Maschine benutzen, mit der Sie Ihre KI aktualisiert haben. 

Hof der Groen-Nullpunkt-Anlage 

1. Nachdem Sie 15 GNMs bertragen haben, finden Sie in Ihrem Nexus eine neue Verbindung.  Diese Verbindung bringt Sie in den Hof der Groen-Nullpunkt-Anlage, dem Zentralpunkt des Groen-Nullpunkt-Neutrino-Verteilers. 

2. In diesem Hof finden Sie eine weitere bertragungsmaschine sowie eine Reihe von Tren im hinteren Bereich des Raums. 

Zugang zum Groen Nullpunkt-Kalibrationszentrum

1. Das Kalibrationszentrum hinter dem Hof, kann erst erreicht werden, wenn eine KI mindestens 30 GNMs eingelesen und bertragen hat (15 mehr als fr das Erreichen des Hofes notwendig sind). Das Einlesen verluft nach dem bereits oben beschriebenen Verfahren: Sie sehen 15 Lichter auf Ihrer KI. Wenn Sie GNMs finden, leuchten diese Lichter auf,

2. Sobald Sie weitere 15 (also insgesamt 30) GNMs im Vorraum oder im Hof bertragen haben, werden sich die Tren zum Kalibrationszentrum automatisch fr Sie ffnen. 

Das Groe-Nullpunkt-Kalibrationszentrum

1. Die wichtigsten Elemente des Kalibrationszentrums sind die vier Wartungseinheiten des Groen Nullpunkts (GNWE) im hinteren Bereich und das Kalibrierungsbildgert (KB). 

2. Sobald Sie 30 GNMs an den Maschinen im Vorraum oder im Hof bertragen haben, erhalten Sie Zugang zu diesen Gerten und haben die Mglichkeit eine neue Art Marker mit der Bezeichnung Groe-Nullpunkt-Kalibrierungsmarker (GNKM) zu entdecken. 

Groe-Nullpunkt-Kalibrierungsmarker (GNKM)

1. GNKMs funktionieren hnlich wie GNMs, allerdings gibt es zwei Unterschiede: Zum einen sind GNKM immer sichtbar, sobald sie einer Person zugewiesen worden. Mit anderen Worten: anders als GNM, die nur erscheinen, wenn sie eine KI um Umkreis von ca. 8 Metern entdecken, sind GNKM nur fr den sichtbar, dem sie zugewiesen wurden. Auerdem werden GNKM nicht ber die Einlesetaste Ihrer KI aktiviert, sondern indem Sie mit Ihrem Krper durch sie durchlaufen.

2. Um eine GNKM-Mission zugewiesen zu bekommen, mssen Sie eine der GNWE finden und dort eine der 14 verfgbaren Missionen auswhlen. Die Anzahl der GNKMs und die Position dieser Marker variieren von Mission zu Mission. Bei allen Missionen wird die Zeit genommen. Die Zeitmessung beginnt, wenn der erste Marker eingelesen wird und endet, wenn der letzte Marker eingelesen wurde. Sie knnen eine Mission wiederholen, um sie in krzerer Zeit zu beenden.

3. Bitte beachten Sie, dass eine Mission nur einer Person zugewiesen wird. hnlich wie bei den Lichtern fr die GNMs, sehen Sie auf einer Seite Ihrer KI eine Reihe Lichter, die der Zahl der GNKMs der Mission entsprechen. Nachdem Sie alle Marker eingelesen haben, indem Sie durch sie durchgelaufen sind, mssen die Marker ber eine GNWE im Groe-Nullpunkt-Kalibrationszentrum bertragen werden. 

4. Beachten Sie, dass die in der GNWE angezeigte Zeit Ihre eigene Bestzeit und nicht die anderer Besucher ist. Die Gesamtbestzeiten werden normalerweise ber die KI bermittelt und stndig aktualisiert. 

5. Wenn zwei Personen die gleiche Mission ausfhren wollen, so mssen sie die gleiche Mission auswhlen, um auch die gleichen Marker sehen zu knnen. Denken Sie daran, dass Sie die Marker in Ihre eigene KI einlesen mssen, um die Mission abschlieen zu knnen. Sie knnen sich eine Mission nicht teilen.

Wir vom DRC hoffen, dass Ihnen diese Missionen helfen werden, die Stadt und die Hhle besser zu verstehen und dass Sie begreifen, dass der Erfolg bei der Kalibrierung des Groen Nullpunkts auch von Ihnen abhngt. Wir danken Ihnen herzlich fr Ihre Untersttzung. 

Kalibrierungsbildgert (KB)

1. Als Anzeige dafr, wie die Kalibrierung voranschreitet, wird das Kalibrierungsbildgert (KB) unterschiedliche Bilder des aktuellen Zustands anzeigen. Je nachdem, wie weit eine Stufe der Kalibrierung fortgeschritten ist, werden die Bilder leichter oder schwerer zu erkennen sein.  

2. Victor Laxman wird die Bilder fr diese dynamischen "Fortschrittsberichte" festlegen. 

Nochmals vielen Dank fr Ihren Besuch des Groen Nullpunkts. Wir danken fr Ihr Verstndnis und Ihre Untersttzung. 
"""
