""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xGahreesenInfoJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xGahreesenInfoJournalCover_eng*1#0.hsm"><font size=10 face=courier color=000000><margin left=62 right=62 top=62 bottom=48><p align=center>Analysis

<p align=left>Author: Simpson (transcribed from voice recorder)

Age: Gahreesen

Date: 11/12/2001-6/4/02 Multiple trips

Okay, one thing seems immediately obvious; this place was built for security. No one could write a link anywhere in this place, or the next. It was obviously a Maintainer facility of some kind and it doesn't seem that it was for general Guild Members. By that, I mean it was limited to at least the higher-ranking members. 

As to how they got the first link written here, I don't know. Probably while it was under construction. It does seem pretty obvious that it's not going to happen again, unless something major happens to this place. 

I should say that Kodama has some theories about the Age that have held up so far. May have been a "special forces" of a sort for the Maintainers. Started later, mid-8000's. Became somewhat of a research and development arm for the Maintainers Guild. I don't know, worth mentioning though. There are quite a few mentions of such groups in other docs Kodama has found, or at least seen. 

Entrance

To begin with, I'd wager that no one other than a high-ranking government official or similar ever even made it to this room. That's just my guess but it seems pretty sound. I don't think any school buddies or girlfriends dropped by to see their maintainer friend. The linking book we found was deep within the Maintainer Guild. I'm sure it was well guarded in its day. 

You can see right off the bat the entrance was extremely secure. Thick walls, one door, a high window (sniper, maybe). If you manage to get in with a bomb or something, it's not going to do any noticeable damage. 

I love the Maintainer symbol on the floor and everywhere else you look. As though I might forget and wonder where I am. 

Waiting Room

So, visitors are escorted into this little waiting room. There's a window on one side, looks almost like a ticket window. Maybe turn in weapons or goods that aren't allowed. Maybe books. I'm sure they didn't want books in here. 

Yeah, looks like mainly for books. There is another ticket window on the other side, although this one looks different. I'm pretty sure those are beetle cages on the other side. Beetles that sought out ink. Somebody was just telling me there are all kinds of references to them in other docs. You didn't make it past this room with a book. 

As well, the doors never open at the same time. So, even if somehow you make it out of the entrance room, you're still not going to make it past these mammoth doors out of the waiting area. 

Halls

Looks like the hall ran along the entire circumference of the building. There are plenty of rooms; I'll just try to hit them one at a time. First, is an elevator though. However, looks like it's only down. Wonder if it was always that way? More security I guess. Once you've made it into the halls, there is still nowhere to go, at least if they didn't want you going anywhere. 

Lockers

I would think that any books that were brought to the Age were kept in the lockers. I'd imagine that some of the workers here or frequent visitors also kept some equipment, but I could be wrong on that. Looks like they kept some maintainer gear as well; markers, helmets, etc... Seems a little out of place, honestly. 

KI's

Ok, things are becoming a little more clear now. Just had a long chat with Laxman and researched some different docs over in the city that Nick had. Looks like the current condition I'm seeing was not the original condition. 

The KI was a major development not just for the Guild, but also apparently for all citizens. Turns out they were just starting to hand out the KI's to the public around the time of the fall. Nice timing. 

So it looks like they had done some renovations in order to facilitate the mass amounts of visitors that would be coming in order to retrieve KI's. Turns out my little girlfriend analogy was pretty much completely wrong. Girlfriends and more were going to start coming here, at least to the open sections. Kodama corrected me, we've actually found multiple books in neighborhoods, as well as the guarded Maintainer Book I mentioned earlier. Whoops. 

So, visitors come in, walk through the doors, beetles check for books, and they walk down the hall into the KI room. Get a KI and link out. Guards were probably at the up elevator, which is just behind this room. If they did happen to bring any illegal items, they get them back from the other side of the locker room and off they go back home with their new shiny KI. 

Makes more sense as to why the Maintainer paraphernalia was in the locker rooms too. Probably a little display type thing for all the visitors. Impress them. 

Warehouse

Quite a bit of goodies in here, all of which I'm sure most visitors never saw. Pretty bad cave-in from the floor above, although Engberg says structurally the place seems alright. He's doing more detailed inspections soon. 

Looks like most of these crates are filled with KI maintenance-type equipment as well as a variety of spare parts, etc...I don't know. Laxman will have to give this place a good inspection. I'm sure he'll love going through it all. Beyond me, I know that. 

Beetle Cages

Convenient cave-in. Not sure how one is supposed to get in the beetle cages without it. No idea how they did it. Link maybe. Regardless, pretty positive the cages were for beetles. Symbols on the front and quite a bit of remnants in some of the dirtier cages. We'll have to clean those up. Wonder when they all died.

Speaking of access, another question. How'd they get to the second floor? Elevators skip the middle floor. More security, I suppose.

Second Floor

Destruction was a little more substantial than I thought. Looks like it tore out a section of the outer wall even. I'm going to get out of here until Engberg can come back again. 

Been a few days, but I'm back. I'm no expert so I guess I have to trust Engberg. But... He says this whole thing is one of the most solid, heavy pieces of construction he's ever seen. It's safe, he assures me. If I die here, and someone retrieves this recording, please sue him for me. 

Second floor looks similar to the first; outer hall and a number of rooms. Have to remember that very few people probably ever walked these halls. There is no access via elevators, stairs, anything to get here. I assume it had to be done via a Linking Book which is probably somewhere in the city. I suppose there could be a way to stop those elevators on the middle floor but I doubt it. Regardless, this floor was extremely secure; book access only I'm guessing. 

Guard Lounge

Next to the observation room - at least that's what I assume it was - is what looks like a guard lounge. Looks like they stayed here for long amounts of time. There are beds in here, as well couches. I assume these guys manned the window/observation post while visitors were coming in. 

Guard Lockers

More lockers, similar to the set downstairs, although these are manned with some heavy equipment. I'm sure Watson will want to see this stuff and keep it locked up well. In fact, I'm not even going to go into detail about it here. Laxman can write all about this stuff in a later report. I will say I didn't know the D'ni had these kinds of technology. 

Gear Room

Now I see why this floor was so secure. Looks like the whole power structure for this building is here. Amazing construction. The entire building looks to have been powered by some underground water source that caused it to turn. They implemented a gear that would grab on to teeth in the ground outside, and provide them a power source as well. Talk about killing two giant birds with one stone. Pretty amazing. 

Power looks somewhat complicated. Seems as though there were at least occasions that power was turned off, as there are obviously controls to do that, and then start it again. I'm heading to the top.

Top

Wow. I thought this  building was big. The main portion is absolutely giant. And rotating too, of course. I'm overcome with the amount of work put in to this place just for security. It's everywhere. Almost comical picturing government officials walking the same paths I am. Amazing. 

To get to the other side, looks like one had to walk across the bridge to the rock pinnacle. The first place since we've arrived that we're able to save a link. And it's not big. And there's a massive structure facing you if you did. Pretty funny to try and picture an army invading. All of them bunched up on this stone waiting for these bridges to rotate--What the? My gosh...

The creatures. These things are something out of a horror movie. I've been up here a little while and I don't see them often but when I do, they are scaring me to death. I'm beginning to understand the fences and structures a little better. Perhaps some of them were designed to keep creatures out more than keep visitors in. Don't hang out in these woods, unless you have a big gun. 

Another bridge, to reach the main portion of this place. More security. I will say that the platform between the bridges seems to have eroded. At one time, crossing the bridges was probably a security feature to ensure manageable groups would approach the larger building, one at a time  but I would wager it was still a lot easier than it is now. The erosion to the platform between the bridges has made it a little rougher. I suppose the Maintainers would like it even more in its current condition. 

Mud Rooms

I'm not sure what to call these things, but they remind me of mud rooms so I'll call them that. Not much here. Looks like each bridge, has a mud room attached to it, with another group of doors, etc... There doesn't seem to be any kind of decompression or decontamination that went on here. Really they seem to be nothing more than another spot for another set of doors. Another secure location. 

Training Center

I was going to go through each of the rooms here, but after making a quick overview, I think I'll just start with the entire thing. 

There are three types of rooms in the building, two of each kind. There is a control room, one purple and one yellow, a display room, one purple and one yellow, and then a conference room. Though these aren't colored, I assume there is one for each "team". 

The entire building seems to be centered on the massive wall in the middle. The control rooms control the wall, the display rooms display the uniforms that were worn in the wall (I presume) and the conference rooms, allow the government visitors and high-ranking officials to confer about those training on the wall. See.

So control rooms first. 

Control Rooms

I'm not going to go into controls for the wall in this doc. I'll let Laxman do that at some other time. Regardless, the panel here obviously controls the wall. The wall was used for training as well as testing of various suits. I believe the central room can get pretty hot, cold, smoky, or anything else I can imagine, pretty quick. It was a competition - whoever could get to the top the quickest. Teams would set up the obstacles and members would race.

There is a side tunnel that provides access to the display rooms from the control room. 

Display Rooms

Not sure that these were originally display rooms - or maybe they were. Either way, there are quite a few old Maintainer suits in here. There is also the latest maintainer suit (or skin) here. I guess I should say the machine to put on the latest Maintainer suit is in here. 

Now that we've had some time to look a this, it's incredible. We're talking about a suit that was skin tight, and had linking abilities, etc... built in. Very hi-tech as far as maintainer suits go. Very impressive. A Maintainer would fall down the chute and while "traveling" to the interior room/the wall, the suit would be placed on him. I'm begging to try this thing but DRC is insistent no one does. Laxman already has someone on it, trying to figure out more. I'm first when they do.

I think these rooms could basically be described as team locker rooms.  

Conference Rooms

Well I guess these rooms were where the bigwigs sat down and talked about their Maintainers. Obviously they are set-up to watch the wall and there are displays that show the patterns being built, and "played" on the wall. We'll never know but I can see the Guild Masters in here watching their teams compete, preparing to send them out to some radioactive fireball Age to see if their new suits can stand the elements. 

Upper Portions

I'm not going up now but we do know the upper portions were used as prison cells. Typical D'ni technology - they had a single Linking Book that went to all the cells. Since the building was always rotating, a very complicated linking apparatus and timing mechanism was associated with the Book. The timing of the link would determine which cell the person linked into. Apparently, it was very tight. 

Speaking of linking. This entire building is rotating as well. It seems that most visitors came on the path from the well, although there were also books directly to this building. There had to be. It seems that many of them also used the timing mechanism to link into specific rooms. Looks like another new feature designed and built by these guys. One of many I'm sure. 

I'm just wondering where the main research labs were? Or better yet, where did everyone sleep or eat? 

"""
