""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
#   "Journal Name": ( bookWidth, bookHeight, loc path string, gui )
xJournalBooks = {\
    "Sharper":          ( 1.0, 1.0, "BaronCityOffice.Journals.Sharper",         "bkNotebook" ),
    "SharperPart2":     ( 1.0, 1.0, "BaronCityOffice.Journals.SharperPart2",    "bkNotebook" ),
    "ClassStructure":   ( 1.0, 1.0, "City.Journals.ClassStructure",             "bkNotebook" ),
    "Pregnancy":        ( 1.0, 1.0, "City.Journals.Pregnancy",                  "bkNotebook" ),
    "Maturity":         ( 1.0, 1.0, "City.Journals.Maturity",                   "bkNotebook" ),
    "Marriage":         ( 1.0, 1.0, "City.Journals.Marriage",                   "bkNotebook" ),
    "KingShomat":       ( 1.0, 1.0, "City.Journals.KingShomat",                 "bkNotebook" ),
    "KingAilesh":       ( 1.0, 1.0, "City.Journals.KingAilesh",                 "bkNotebook" ),
    "KingNaygen":       ( 1.0, 1.0, "City.Journals.KingNaygen",                 "bkNotebook" ),
    "KingAsemlef":      ( 1.0, 1.0, "City.Journals.KingAsemlef",                "bkNotebook" ),
    "KingRineref":      ( 1.0, 1.0, "City.Journals.KingRineref",                "bkNotebook" ),
    "KingDemath":       ( 1.0, 1.0, "City.Journals.KingDemath",                 "bkNotebook" ),
    "KingMeemen":       ( 1.0, 1.0, "City.Journals.KingMeemen",                 "bkNotebook" ),
    "KingKerath":       ( 1.0, 1.0, "City.Journals.KingKerath",                 "bkNotebook" ),
    "Yeesha":           ( 1.0, 1.0, "Personal.Journals.Yeesha"                               ),
    "UruCredits":       ( 1.0, 1.0, "Global.Journals.URUCredits"                             ),
    "GahreesenInfo":    ( 1.0, 1.0, "Gahreesen.Journals.GahreesenInfo",         "bkNotebook" ),
    "ShomatStory":      ( 1.0, 1.0, "EderKemo.Journals.ShomatStory",            "bkNotebook" ),
    "KI":               ( 1.0, 1.0, "Gahreesen.Journals.KIJournal",             "bkNotebook" ),
    "GZHelp":           ( 1.0, 1.0, "GreatZero.Journals.GZHelp",                "bkNotebook" ),
    "Negilahn":         ( 1.0, 1.0, "City.Journals.Negilahn",                   "bkNotebook" ),
    "Poetry1":          ( 1.0, .9,  "Neighborhood.Journals.Poetry1"                          ),
    "KingMararon":      ( 1.0, .9,  "City.Journals.KingMararon",                "bkNotebook" ),
    "KingYableshan":    ( 1.0, .9,  "City.Journals.KingYableshan",              "bkNotebook" ),
    "GrsnWallHelp":     ( 1.0, 1.0, "Gahreesen.Journals.GahreesenWallHelp"                   ),
    "KINexusFAQ":       ( 1.0, .9,  "Neighborhood.Journals.KINexusFAQ",         "bkNotebook" ),
    "KingAdesh":        ( 1.0, 1.0, "City.Journals.KingAdesh",                  "bkNotebook" ),
    "KingAhlsendar":    ( 1.0, 1.0, "City.Journals.KingAhlsendar",              "bkNotebook" ),
    "KingBehnashiren":  ( 1.0, 1.0, "City.Journals.KingBehnashiren",            "bkNotebook" ),
    "KingEmen":         ( 1.0, 1.0, "City.Journals.KingEmen",                   "bkNotebook" ),
    "KingGan":          ( 1.0, 1.0, "City.Journals.KingGan",                    "bkNotebook" ),
    "KingHemelin":      ( 1.0, 1.0, "City.Journals.KingHemelin",                "bkNotebook" ),
    "KingHinash":       ( 1.0, 1.0, "City.Journals.KingHinash",                 "bkNotebook" ),
    "KingIshek":        ( 1.0, 1.0, "City.Journals.KingIshek",                  "bkNotebook" ),
    "KingJakreen":      ( 1.0, 1.0, "City.Journals.KingJakreen",                "bkNotebook" ),
    "KingJaron":        ( 1.0, 1.0, "City.Journals.KingJaron",                  "bkNotebook" ),
    "KingJi":           ( 1.0, 1.0, "City.Journals.KingJi",                     "bkNotebook" ),
    "KingKedri":        ( 1.0, 1.0, "City.Journals.KingKedri",                  "bkNotebook" ),
    "KingKoreen":       ( 1.0, 1.0, "City.Journals.KingKoreen",                 "bkNotebook" ),
    "KingLanaren":      ( 1.0, 1.0, "City.Journals.KingLanaren",                "bkNotebook" ),
    "KingLemashal":     ( 1.0, 1.0, "City.Journals.KingLemashal",               "bkNotebook" ),
    "KingLoshemanesh":  ( 1.0, 1.0, "City.Journals.KingLoshemanesh",            "bkNotebook" ),
    "KingMeerta":       ( 1.0, 1.0, "City.Journals.KingMeerta",                 "bkNotebook" ),
    "KingNeedrah":      ( 1.0, 1.0, "City.Journals.KingNeedrah",                "bkNotebook" ),
    "KingRakeri":       ( 1.0, 1.0, "City.Journals.KingRakeri",                 "bkNotebook" ),
    "KingRikooth":      ( 1.0, 1.0, "City.Journals.KingRikooth",                "bkNotebook" ),
    "KingSolath":       ( 1.0, 1.0, "City.Journals.KingSolath",                 "bkNotebook" ),
    "KingTejara":       ( 1.0, 1.0, "City.Journals.KingTejara",                 "bkNotebook" ),
    "KingTiamel":       ( 1.0, 1.0, "City.Journals.KingTiamel",                 "bkNotebook" ),
    "KingVeesha":       ( 1.0, 1.0, "City.Journals.KingVeesha",                 "bkNotebook" ),
    "KedriStory":       ( 1.0, 1.0, "City.Journals.KedriStory",                 "bkNotebook" ),
    "MeemenStory":      ( 1.0, 1.0, "City.Journals.MeemenStory",                "bkNotebook" ),
    "MeertaStory":      ( 1.0, 1.0, "City.Journals.MeertaStory",                "bkNotebook" ),
    "DrWatsonJournal":  ( 1.0, .9, "Descent.Journals.DrWatsonJournal",   			   ),
    "WordsDRCInfoJournal":  	( 1.0, 1.0, "GreatTreePub.Journals.WordsDRCInfoJournal",             ),
    "WordsInfoJournal":  	( 1.0, 1.0, "GreatTreePub.Journals.WordsInfoJournal",   	         ),
    "WordsJournal1":  		( 1.0, 1.0, "GreatTreePub.Journals.WordsJournal1",   			   ),
    "WordsJournal2":  		( 1.0, 1.0, "GreatTreePub.Journals.WordsJournal2",   			   ),
    "WordsJournal3":  		( 1.0, 1.0, "GreatTreePub.Journals.WordsJournal3",   			   ),
    "WordsJournal4":  		( 1.0, 1.0, "GreatTreePub.Journals.WordsJournal4",   			   ),
    "WordsJournal5":  		( 1.0, 1.0, "GreatTreePub.Journals.WordsJournal5",   			   ),
    "MinkataQuestJournal":  	( 1.0, .8,  "City.Journals.MinkataQuestJournal",   			   ),
    "JalakJournal":  		( 1.0, 1.0, "City.Journals.JalakJournal",   			   ),
    "PhilJournal":  		( 1.0, 1.0, "PhilRelto.Journals.PhilJournal",   			   ),

}

# some books are too large, so we split them up into multiple strings which will be recombined
#   "Journal Name": ("Part1", "Part2", etc... )
xMultiPartBooks = {\
    "Sharper":  ("Sharper", "SharperPart2"),
}