""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xKingDemathJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKingDemathJournalCover*1#0.hsm"><font size=16 face=Nick color=000000><margin left=62 right=62 top=46><p align=center>Knig Demath

<p align=left>Demath bestieg den Thron im Jahre 4692 DE, im Alter von 154 Jahren. Obwohl das Volk im Allgemeinen nicht mit der Regentschaft des Ji zufrieden war, so lobte es wohl doch die Wahl seines Nachfolgers, Demath.*

Demath trat der Gilde der Erhalter im Alter von fnf Jahren bei (so wie die meisten) und stieg, bis er als Knig auserwhlt wurde, zum Rang des Gildenmeisters auf. Die Wahl berraschte die ffentlichkeit anscheinend genauso wie Demath selber. Es war keine Stellung, von der er wnschte, sie antreten zu knnen. 

Fast sofort ordnete Demath eine Verbannung aller unntigen Verbindungen an (diese Anordnung sollte durch die Erhalter durchgesetzt werden), whrend der Rat Krisensitzungen einberief, um seinen Standpunkt in Bezug auf Auenstehende festzulegen. 

In diesen Sitzungen kam der Rat zu dem Schluss, dass die Verbindung zu den Auenstehenden weiterbestehen sollte, allerdings mit viel strkeren Einschrnkungen und Richtlinien. Die Liste, die Demath unterzeichnete und so Gesetz werden lie, war lang und beinhaltete u.a. Einschrnkungen fr Auenstehende in Bezug auf die Bedienung von D'ni-Maschinen oder verbindenden Bchern. 

Was vielleicht noch wichtiger war, war die eindeutige Nachricht des Rats und des Knigs an alle Fraktionen, die gegen eine Zusammenarbeit der D'ni mit Auenstehenden waren. Diese Nachricht besagte, dass ihre Ideen nicht toleriert wrden, wenn diese dazu fhrten, dass es zu einem Versto gegen die Regeln kme, die schon von Loshemansh in Kraft gesetzt worden waren, auf deren Einhaltung besonders geachtet werden wrde. Und obwohl es keine ffentlichen Aufzeichnungen darber gibt, wurden die Relyimah (soviel wie 'die Unsichtbaren') dazu aufgefordert, ihre Mitgliederzahl zu verdoppeln und jeden aufzuspren, der in illegale Aktivitten mit den Auenstehenden verwickelt war. 

Auerdem verurteilte Demath die Worte des Wchters als puren Unsinn und nichts mehr, als die Ergsse 'eines verzweifelten, einsames Mannes, der Aufmerksamkeit erhaschen wollte'*.

Im Jahre 4721 DE erlie Demath einen Zusatzartikel, der die wichtigsten Gilden dazu zwang, einen Prozentsatz an Studenten aufzunehmen, die alle Examen bestanden, sich die Gebhren aber nicht leisten konnten*. Es war der erste Erlass dieser Natur in der Geschichte der D'ni, und dazu einer, den viele in Frage zu stellen schienen, vor allem die Gilden selber. Allerdings gelang es Demath sie zu berzeugen, dass es fr die Gesellschaft eine Notwendigkeit sei und zwar eine, der sie 'vorsichtig zustimmten'*.

Im Jahre 4724 DE zeigen Aufzeichnungen zehn verschiedene Gruppen auf, die gegen die Loshemanesh-Gesetze (wie sie dann genant wurden) verstieen und deswegen vor Gericht gebracht wurden. Die meisten stimmen darin berein, dass die Relyimah eine groe Rolle bei der Verurteilung spielten, auch wenn es keine offiziellen Aufzeichnungen ber ihre Beteiligung gibt. Alle Angeklagten wurden zu Einzelhaft in Gefngnis-Welten verurteilt. Die Verurteilungen mussten eine groe Wirkung auf die Gesellschaft gehabt haben, da die ffentlichkeit noch immer nicht viel (wenn berhaupt irgendetwas) ber die Relyimah wusste und von daher keine Ahnung hatte, wie es zu so vielen Verurteilungen kommen konnte. Ein Schreiber fasste es in folgende Worte: 'Es gab Geschichten ber dunkle Schatten und mysterise Kreaturen ... die diese Aktivitten ausfhrten ... Man sagte, dass die Augen Demaths alles sahen, whrend seine Arme jeden nahmen, den er haben wollte.'* Die Verbrechensquote, insbesondere die in Bezug auf die Loshemanesh-Gesetze, verringerte sich bis zum Jahre 4752 immer mehr, bis es nur noch zu drei Verurteilungen kam. 

Im Jahre 4784 DE wurde ein Anschlag auf Demaths Leben ausgebt, dem zwei Mitglieder der Relyimah zum Opfer fielen, die dabei Demaths Leben retteten. Die Tter wurden aufgegriffen und zwei Jahre spter befahl Demath ihre Hinrichtung. Es war die erste Hinrichtung dieser Art und stie auch auf wenig Ablehnung seitens der Bevlkerung oder des Rats. Die zwei Mnner wurden anscheinend in eine Todes-Welt verbunden, wodurch ihr Leben ein Ende fand. Obwohl die meisten einer Hinrichtung zustimmten, waren diejenigen, die gegen eine Zusammenarbeit mit Auenstehenden waren, jetzt noch mehr von der Richtigkeit ihres Standpunktes berzeugt. Sie argumentierten, dass die D'ni sich wegen der Auenstehenden selber umbringen.'*

Im Jahre 4826 wurde Demath fr seine Bemhungen bezglich der Akzeptanz bei der Aufnahme in die wichtigsten Gilden belohnt. Die ersten der 'nicht zahlenden' Mitglieder der Gilde der Steinmetze fhrten die Anstrengungen an, eine Fusionsmaterial-Technologie zu entwickeln, die der Grundstein fr die sptere Entwicklung von Nara sein sollte. Demath lobte die Gilde und die zahlreichen Chancen, die allen Bewohnern D'nis nun zur Verfgung standen, ihrer Gesellschaft zu dienen.* 

Demath starb im Jahre 4843 DE im Alter von 305 Jahren und hinterlie den Thron seinem erstgeborenen Sohn.


* Einige sagten, dass nicht Ji Demath als seinen Nachfolger whlte, sondern Gromeister Imas von der Gilde der Erhalter. Die Sache wurde nie offiziell geklrt, aber die meisten gehen davon aus, dass Ji die Wahl getroffen hat.

* Aus Demaths Rede, in der er dem Volk die Ergebnisse der Sitzungen des Rates mitteilt

* Zu dieser Zeit waren die wichtigsten Gilden sehr teuer und ein Groteil der Bevlkerung hatte keine Chance, ihnen beizutreten, auch wenn er die Qualifikationen besa

* Auszug aus den privaten Aufzeichnugen des Gildenmeisters Reshan von der Gilde der Archivisten

* Aus 'Die Enthllung der Unsichtbaren', geschrieben von Besharen im Jahre 5999

* Goshen, Anfhrer des Kults Blut des Yahvo, sagte dies in einer ffentlichen Rede

* Auszug aus einer Rede Demaths bei einer ffentlichen Ankndigung ber die Fusionsmaterial-Technologie
"""
