""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xKingMeemenJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKingMeemenJournalCover_eng*1#0.hsm"><font size=12 face=courier color=000000><margin left=62 right=62 top=48><p align=center>Knig Me'emen

<p align=left>Knig Me'emen bestieg 5240 DE im Alter von 83 Jahren den Thron. 

Einer der wichtigsten Erlasse unter Me'emens Herrschaft erfolgte ziemlich rasch und beruhte auf einem Vorschlag der Gilde der Bergleute und Steinmetze (die zusammengearbeitet hatten). Im Jahre 5307 prsentierten sie Nara*, das einige Wochen zuvor in einem Labor entwickelt worden war. Nara bot gewaltige Mglichkeiten fr den Bergbau und die Errichtung von Bauwerken und hatte letztendlich tiefgreifende Auswirkungen auf die knftige Entwicklung von D'ni. Bereits zum Zeitpunkt seiner Einfhrung gab es viel Aufregung ber sein Potenzial. 

Im Jahre 5312 DE brach im Industriebezirk von D'ni eine Krankheit aus, deren Ursprung hchstwahrscheinlich in der Welt Yasefe* lag. Ihr Ausbruch verursachte weit verbreitete Panik, da viele eine neue Plage vorhersagten, die der im 22. Jahrhundert aufgetretenen Plage hneln knnte. Zum Glck brachte die Krankheit nicht annhernd eine solche Sterberate mit sich wie die zuvor erwhnte Plage, und die Gilde der Heiler reagierte auerordentlich schnell und fand ein Heilverfahren. Trotzdem kam es wieder zu einer regelrechten Kampagne, wenigstens den Nehw'eril-Distrikt* weit vor die eigentliche Stadt zu verlegen. 

Me'emen fand offenbar Gefallen an dieser Idee und wies die Landvermesser an, mit der Untersuchung einer solchen Expansion zu beginnen.

Im Jahre 5359 DE gab es fr die D'ni einen weiteren wichtigen Grund, die Expansion in groem Mastab zu beginnen, und zwar in Form des Steinzahns. Er war die zweite der Groen Bergbaumaschinen, wesentlich krftiger und technologisch fortschrittlicher als der ltere Steinbeier. Me'emen befahl der Gilde der Bergarbeiter sofort, ein Gebiet zu "rumen" (mit Hilfe des Steinbeiers), um einen neuen Industriebezirk zu erschaffen, der Nehw'eril ersetzte. Es dauerte bis 5475 DE, bis die eigentlichen Baumanahmen auf dem neuen Industriebezirk Uran begonnen werden konnten.

Weniger als einhundert Jahre nach dem Steinzahn gab die Gilde der Erhalter bekannt, dass das neu entdeckte Deretheni dazu benutzt werden knne, stark verbesserte und sicherere Erhalter-Anzge herzustellen. Auch wenn eine solche Ankndigung nicht sonderlich wichtig erscheinen mag, hatten die neuen Anzge einen starken Einfluss auf die D'ni-Kultur. Da die Erhalter nun in den Welten, die sie erforschten, grere Risiken eingehen konnten, durfte die Gilde der Schreiber ihre Schriften ein wenig liberaler handhaben, und eine neue Art von Welten war geboren*.

Unter Me'emens Herrschaft wurden "Worte" zu einem alltglichen Diskussionsthema und den lteren Tempeln wurde wieder mehr Aufmerksamkeit gewidmet. Es gibt Beweise fr zahlreiche Neugestaltungen und Umbauten vieler weltlicher Tempel, die Jahre zuvor nach den "neuen" Richtlinien des Groen Nullpunkts erbaut worden waren.

Es scheint, als habe sich Me'emen nur wenig um die religisen Impulse seines Volkes gekmmert und ein greres Interesse an technologischem Fortschritt und der Expansion der Stadt gehabt.

Als Me'emen glaubte, Steinbeier und Steinzahn nicht lnger zu brauchen, empfahl er, sie zum Bau eines unterirdischen Tunnels einzusetzen, der das Eiland mit der eigentlichen Stadt verbinden und den Bootsverkehr minimieren sollte. Sein Vorschlag wurde nicht von allen Seiten begrt, insbesondere von den oberen Schichten, die auf dem Eiland lebten. Es gab zahlreiche Proteste, aus Furcht vor den Auswirkungen, die der Tunnel auf das Eiland haben knnte. Der Vorschlag wurde auch von den meisten Gilden zurckgewiesen, so dass Me'emen ihn nicht weiter verfolgte.

Im Jahre 5500 DE erreichten die ersten Importe aus anderen Welten den neuen Distrikt Uran, der nun viel weiter von der Stadt entfernt war. Uran soll eine "bedeutende Verbesserung gegenber dem lteren Nehw'eril ... viel fortschrittlicher ... viel sicherer" gewesen sein. Am Tag der "Erffnung"* gab es ausgelassene Feiern. Die Sicherheitsmanahmen im neuen Bezirk waren streng, denn es stellte sich spter heraus, dass die Relyimah mehrere Plne aufgedeckt hatten, die die Ablehnung einiger Gruppierungen gegen den Bezirk demonstrieren sollten.

Im Jahre 5540 DE wurde Me'emens einziger Sohn Ashem schwer krank und verstarb sechs Monate spter. Als Mitglied der Gilde der Heiler hatte Ashem oft zu den ersten gehrt, die neue Welten erkundeten, um sich von ihrer Sicherheit in Bezug auf Krankheiten zu berzeugen. Als Konsequenz seines Todes wurde die Welt nicht freigegeben, bis eine Heilung gefunden werden konnte. Me'emen hielt die Taten seines Sohnes fr heldenhaft und nderte ein Jahr nach seinem Tod den Namen des Bezirks Uran auf Ashem.

Man sagt, dass sein Tod Me'emen "tief traurig ... ohne die Emotionen, die er whrend seiner Regentschaft zeigte"* zurcklie. Viele sagen, dies htte ihn zur Prophetin Trisari* getrieben. Me'emen verbrachte in seinen letzten Tagen offenbar viel Zeit mit Trisari und konnte "durch sie"* als zufriedener Mann sterben.

Me'emen starb im Jahre 5549 DE im sehr hohen Alter von 392 und whlte seinen Neffen als seinen Nachfolger, wahrscheinlich auf Empfehlung von Trisari.


* Ein metallisches, graues Gestein, dass die dreiigfache Dichte von Stahl besitzt und das hrteste aller D'ni-Gesteine ist.

* Yasefe bestand hauptschlich aus Wald und lieferte einen Groteil der Holzvorrte D'nis, darunter auch das teure und seltene Yema.

* Der Industriebezirk wurde whrend der Herrschaft Needrahs gegrndet und diente als Importzentrum fr die meisten von auen eingefhrten Gter.

* Die neueren Welten ermglichten umfangreicheres Experimentieren mit Atmosphren, der Tierwelt und Energiequellen.

* Aus dem Tagebuch des Gromeisters Veshar von der Gilde der Steingrber

* Aus den Tagebchern der Prophetin Trisari, die Knig Me'emen zugeteilt war.

* Es sollte angemerkt werden, dass allen Knigen Prophetinnen zugeteilt wurden, die jedoch grtenteils nichts weiter als Reprsentationsfiguren waren und selten konsultiert wurden

* Aus "Ashem", verfasst von Ramena im Jahre 5589
"""
