""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xKingMeemenJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKingMeemenJournalCover_eng*1#0.hsm"><font size=12 face=courier color=000000><margin left=62 right=62 top=48><p align=center>Re Me'emen

<p align=left>Sal al trono nel 5240 DE all'et di 83 anni. 

Uno dei pi grandi annunci del regno di Me'men fu dato quasi subito e fu offerto dalla Gilda dei Minatori e dei Lavoratori della Pietra (che avevano lavorato insieme). Nel 5307 essi rivelarono l'esistenza del Nara*, che fu scoperto alcune settimane prima in un laboratorio. Il Nara offr enormi opportunit per l'estrazione e la costruzione e fin per avere un impatto massiccio sulle future opportunit dei D'ni. Anche al tempo della sua scoperta, c'era apparentemente molta eccitazione sulle potenzialit del nuovo materiale. 

Nel 5312 DE, un'epidemia si diffuse nel distretto industriale D'ni proveniente con ogni probabilit dall'Et di Yasefe*. Lo scoppio dell'epidemia caus panico generale, visto che molti predissero una piaga simile a quella accaduta nel 2100. Fortunatamente la malattia non fu neanche paragonabile alle previsioni, e la Gilda dei Guaritori reag molto velocemente trovando una cura. Anche per questo ci fu una nuova spinta per separare almeno il Distretto di Nehw'eril* dal resto della citt. 

Me'emen apprezz apparentemente l'idea e incoraggi i Sopravvissuti a prepararsi a tale eventualit.

Nel 5359 DE, i D'ni ebbero un'altra grande ragione per intraprendere una maggiore espansione grazie al Dente di Pietra. Era il secondo dei Grandi Scavatori ed era leggermente pi potente e avanzato del vecchio Mangiatore di Pietra. Me'men ordin immediatamente alla Gilda dei Minatori di "ripulire" un'area (con il Mangiatore di Pietra) per un nuovo distretto industriale che doveva rimpiazzare Nehw'eril. Fu solo nel 5475 DE che la costruzione del nuovo complesso industriale Uran ebbe effettivamente inizio.
 
Meno di cent'anni dopo il Dente di Pietra, nel 5473 DE, la Gilda dei Conservatori annunci che il nuovo materiale di recente scoperta, il Deretheni, poteva essere utilizzato per creare tute di Mantenimento ancora migliori e pi protettive. Anche se questo annuncio non sembr particolarmente importante, le tutte ebbero un grosso impatto sulla cultura D'ni. Siccome i Conservatori ebbero la possibilit di prendersi rischi maggiori nell'esplorare le varie tipologie di Et, la Gilda degli Scrittori ebbe pi libert nei propri scritti, e una nuova generazione di Et ebbe inizio*.

Durante il regno di Me'emen, le "Parole" divennero un tipico soggetto di discussione, e fu data nuovamente attenzione agli antichi templi. Alcune prove dimostrano come furono rimodellati e rinnovati molti templi secolari, costruiti anni prima che iniziasse la "nuova" linea del Grande Zero.

Sembra che Me'emen stesso prestasse poca attenzione al rinnovato fervore religioso della sue genti, interessato com'era al progresso tecnologico e all'espansione urbanistica. 

Una volta che Me'emen si rese conto che il Mangiatore di Pietra e il Dente di Pietra non erano pi necessari, egli li ricolloc per costruire un tunnel sotterraneo che connettesse l'Isola alla citt vera e propria, minimizzando cos la necessit dei viaggi via mare. La sua proposta non fu accettata da nessuno, in particolare delle classi pi agiate che vivevano sull'Isola. Apparentemente ci fu un gran numero di proteste, per timore che il tunnel avrebbe in qualche modo modificato la vita sull'Isola. La proposta fu inoltre rifiutata dalla maggior parte delle Gilde, il che convinse Me'emen a non forzare la mano. 

Nel 5500 DE, le prime importazioni dalle Et esterne furono dirottate verso il nuovo Distretto di Uran, molto distante dalla citt. Si diceva che Uran fosse un "incredibile passo avanti rispetto alla vecchia Nehw'eril... molto pi tecnologico... molto pi sicuro," e ci fu una imponente celebrazione nel giorno della sua "apertura"*. Il sistema di sicurezza interno della zona era molto stretto, e la cosa fu giustificata da una rivelazione postuma, secondo cui diverse fazioni tramavano nell'ombra a causa del loro disaccordo sulla costruzione di tale zona. 

Nel 5540 DE, l'unico figlio di Me'emen si ammal gravemente, e mor sei mesi pi tardi. In quanto membro della Gilda dei Guaritori, Ashem fu spesso tra i primi a investigare le nuove Et, per assicurarsi della loro sicurezza relativamente alle malattie. Come risultato della sua morte, l'Et non fu approvata finch non venne trovata una cura. Me'emen consider l'azione del figlio talmente eroica che cambi il nome del distretto da Uran a Ashem'en appena un anno dopo la sua morte. 

Si disse che tale morte lasci Me'emen "preda di grande tristezza... svuotato del fervore dimostrato durante l'epoca del suo regno"*. Molti dissero che si rifugi dalla Profetessa Trisari*. Me'emen apparentemente pass molto tempo con Trisari negli ultimi giorni della sua vita, e fu in grado di morire serenamente "grazie a lei"*.

Me'emen mor nel 5549 DE alla veneranda et di 392 anni e scelse suo nipote come successore, probabilmente sotto consiglio di Trisari.


* Una pietra metallica di colore grigio, densa almeno trenta volte pi di qualsiasi altra pietra utilizzata dai D'ni

* Yasefe era per lo pi costituito da foreste, e forn ai D'ni gran parte del legno di cui necessitavano, incluso il raro e costoso Yema. 

* Il distretto industriale fu costruito durante il regno di Needrah e venne utilizzato come importante centro di smistamento per la maggior parte dei beni provenienti da Et straniere

* Le Et consentirono diverse sperimentazioni con atmosfere, vite animali e risorse energetiche

* Tratto dal diario del Gran Maestro Veshar della Gilda dei Minatori di Pietre

* Tratto dal diario della Profetessa Trisari, assegnato al Re Me'emen

* Degno di nota il fatto che le profetesse venissero assegnate a tutti i Re, ma per la maggior parte non erano altro che figure secondarie, consultate di rado

* Da "Ashem" scritto da Ramena nel 5589
"""
