""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xKingMeemenJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKingMeemenJournalCover_eng*1#0.hsm"><font size=12 face=courier color=000000><margin left=62 right=62 top=48><p align=center>El Rey Me'emen

<p align=left>Lleg al trono en 5240 a la edad de 83 aos. 

Una de las noticias ms importantes del reinado de Me'emen surgi de manera rpida y sta lleg de la mano del Gremio de Mineros y Picapedreros (quienes haban trabajado juntos). En 5307 dieron a conocer a Nara*, que haba sido creada en el laboratorio semanas atrs. Nara ofreca inmensas oportunidades para la minera y la construccin, teniendo un impacto enorme en las oportunidades futuras de los D'ni. Parece que incluso en el momento de su lanzamiento, se despert mucho revuelo por su potencial. 

En 5312 ED, una enfermedad, cuyo origen data de la Era de Yasefe*, se desat en el distrito industrial de los D'ni. La epidemia provoc un pnico generalizado y muchos pronosticaron otra peste similar a la que haba tenido lugar en los aos 2100. Por suerte, el brote no fue tan letal como el mencionado anteriormente y el Gremio de Sanadores reaccion con extraordinaria celeridad buscando una cura. A pesar de todo se realiz un nuevo esfuerzo para separar el Sector Nehw'eril* lo ms lejos posible de la propia ciudad. 

Parece ser que a Me'emen le gust bastante la idea y anim a los Peritos para que empezaran a examinar dicha expansin. 

En 5359 ED, los D'ni tuvieron un motivo ms grande e importante para iniciar la expansin, ste lleg en la forma de Diente de Piedra. Fue la segunda de las Grandes Excavadoras, bastante ms potente y avanzada tecnolgicamente que el antiguo Come Piedras. Me'emen orden de inmediato al Gremio de Mineros que empezaran a limpiar la zona (con el Come Piedras incluido) para el nuevo distrito industrial que reemplazara a Nehw'eril. No fue hasta 5475 ED, cuando la verdadera construccin se inici en la nueva seccin industrial llamada Uran. 

Poco menos de cien aos despus del Diente de Piedra, en 5473 ED, el Gremio de Reparadores anunci que el recientemente descubierto mineral Deretheni se poda utilizar para crear los trajes de Reparadores mucho mejor y con ms proteccin. Aunque tales noticias no parecieron especialmente importantes, los nuevos trajes terminaron por provocar un gran impacto en la cultura D'ni. Dado que los Reparadores corran mayores riesgos en los tipos de Eras que podan explorar, se permiti que el Gremio de Escritores fuera un poco ms liberal en sus escritos y as comenz a proliferar un nuevo tipo de Era*.

Durante el reinado de Me'emen las "Palabras" se convirtieron en un tpico habitual de discusin y la atencin se volvi hacia los templos antiguos. Las pruebas apuntan a numerosas remodelaciones y renovaciones en muchos de los templos seculares, que haban sido construidos aos atrs en la lnea "nueva" del Gran Cero.

Parece ser que el mismo Me'emen no prest mucha atencin al plpito religioso de su pueblo, ya que estaba ms interesado en los avances tecnolgicos y en las expansiones urbanas de las que se ocupaba. 

Cuando Me'emen se percat de que el Come Piedras y el Diente de Piedra ya no eran de utilidad, recomend su utilizacin para construir un tnel subterrneo que conectara La Isla con la ciudad y redujese las necesidades de los viajes en barco. Su propuesta no fue bien recibida, especialmente por las clases altas que vivan en la Isla. Aparentemente hubo un nmero de protestas por el temor que causara el efecto del tnel en la Isla. La propuesta fue tambin rechazada por la mayora de los Gremios lo que le oblig a no forzar la situacin. 

En 5500 ED, las primeras importaciones de otras Eras se conectaron al nuevo Sector Uran, el cual estaba bastante alejado de la ciudad. Se dice que Uran era "una gran mejora del antiguo Nehw'eril... bastante ms avanzado y... bastante ms seguro", y en el da de su inauguracin* hubo una gran celebracin. La seguridad del nuevo sector era hermtica, pues tal y como posteriormente se supo, el Relyimah haba descubierto una serie de complots destinados a mostrar alguno de los desacuerdos de un grupo con el sector. 

En 5540 ED, el nico hijo de Me'emen cay muy enfermo y muri seis meses despus. Como miembro del Gremio de Sanadores, Ashen se encontraba a menudo entre los primeros en investigar las nuevas Eras para comprobar su seguridad en relacin con las enfermedades. Como resultado a su muerte, la Era no fue autorizada hasta que una cura fuera descubierta. Me'emen consider las acciones de su hijo heroicas y un ao despus de su muerte, cambi el nombre del sector Uran a Ashem. 

Se dijo que la muerte haba dejado a Me'emen "profundamente triste...carente de la emocin que haba mostrado durante su reinado"*. Muchos dijeron que fue bendecido por la Profetisa Trisari*. Parece que durante sus ltimos das Me'emen pas mucho tiempo con Trisari y muri como un hombre feliz "gracias a ella"*.

Me'emen muri en 5549 ED a la madura edad de 392 y eligi a su sobrino, posiblemente bajo recomendacin de Trisari, como su sucesor. 


* Una piedra metlica treinta veces ms densa que el acero y la ms dura de todas las piedras D'ni.

* Yasefe era principalmente bosque y suministraba a los D'ni con gran cantidad de madera incluida la costosa y poco abundante, Yema. 

* El sector industrial se form durante el reinado de Needrah y sirvi como centro de importacin para la mayora de la mercanca que entraba.  

* Las nuevas Eras permitieron ms experimentos con las atmsferas, la fauna y las fuentes de energa.

* Del diario del Gran Maestro Veshar del Gremio de Mineros y Picapedreros. 

* De los diarios de la Profetisa Trisari, ofrecida al Rey Me'emen.

* Hay que tener en cuenta que las profetisas eran ofrecidas a todos los Reyes aunque la mayora se convertan en meras figuras ornamentales, a las que en raras ocasiones se les peda consejo. 

* De "Ashem" escrito por Ramena en 5589.
"""
