""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xKingRinerefJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKingRinerefJournalCover_eng*1#0.hsm"><font size=16 face=Sam color=000000><margin left=62 right=62 top=46><p align=center>King Ri'neref

<p align=left>Ri'neref was born in 207 BE (Before Earth) on Garternay. He was accepted into the Guild of Writers at the age of five (a standard age) and, as the years passed, quickly became one of the finest Writers that the Ronay had ever seen. Certain records go as far as stating that Ri'neref was "unsurpassed in skill"* by any other Writer of the day.

By the time he was 90, Ri'neref had achieved the rank of Guild Master and was well on his way to become the Grand Master. However, due to personal convictions, he never achieved that rank.

Ri'neref had long been a challenger of the views of the Guild of Writers, as well as the King himself. Ri'neref was apparently very concerned with the society's views pertaining to the purpose of writing and the challenge of acting responsibly with the "...great gift given to us by Yahvo"*. 

<font size=16 face=Nick color=000000>Around 73 BE, Ri'neref was asked by the Grand Master to write a Descriptive Book to a questionable Age...at least in the eyes of Ri'neref. He perceived the Age being used to house an uncivilized race that could be used for the purposes of the Ronay. Thus, Ri'neref refused to carry out the command from his Grand Master and, after much debating, was apparently dismissed from the Guild of Writers. Some records do point to Ri'neref willfully excusing himself from the Guild, although regardless of how he left, much of the society found the "dismissal" unfair and some even went so far as to call it "detrimental to society"*. 

Around 59 BE, the fact that Garternay would not be able to serve the Ronay as a home for much longer* was confirmed and the information made public. Ri'neref had long known of the state of Garternay and from the time of his dismissal had apparently been working on an Age that he felt would be a good place to live for those who wished to follow him. 

According to various journals, Ri'neref managed to attract a few thousand Ronay and convince them to follow him in the ways that he felt important and to the Age that he had written. The King allowed Ri'neref to split away from the Ronay, along with a few other smaller groups, while the majority of Ronay left Garternay to a new home world called Terahnee. Ri'neref took his group to Earth, where he established the D'ni (meaning "New Beginning").

Ri'neref was a strong leader, immediately establishing himself as King and reigning for 120 years until his death. Obviously, those who followed Ri'neref to D'ni already respected him enough to separate themselves from their family and friends, and thus, records point to very few debates or disagreements within the society under the reign of Ri'neref.

As had always been the case with the Ronay, a group of surveyors was sent to D'ni, before the group officially moved there, to establish the Great Zero* and the line emanating from it. A monument was built on the Great Zero in the year 0 DE. 

Unlike previous occasions, Ri'neref established the line of the Great Zero as set apart for holy buildings. Without authorization by the reigning King, construction was forbidden.

Though it's never stated directly, records strongly imply that it was Ri'neref who chose where the city would be established. He seemed to base his decision on two factors (which probably made the decision an easy one). First was the line of the Great Zero. It seemed an obvious spot to base the city, with the most important religious structures being directly on the line and the rest of the city surrounding its center. The second factor was a group of waterfalls that flowed from the ceiling of the cavern to an area adjacent to the line of the Great Zero. The fresh flowing water was perfect for drinking.

A new Writer's Guild (with fairly different rules than the one that had existed on Garternay) was constructed almost immediately (8 DE) under the direction of Ri'neref. By the year 100 DE Ri'neref had directed the re-creation of the 18 Major Guilds*. The Guilds were dedicated to Yahvo on "The Day of the Circle", a celebration not only of the completion of the Major Guilds, but a celebration of New Guilds, which Ri'neref believed were "healthier" than those that existed in Garternay.  "Guilds that have been established to please Yahvo and not themselves..." Ri'neref said*.

Certain records point to the Guilds on Garternay becoming extremely competitive with one another and focusing more upon having the best facility than carrying out their duty to Yahvo and the people. In an effort to curb that kind of competition, Ri'neref implemented a list of restrictions upon Guild construction. The restrictions included guidelines pertaining to placement (facing the Great Zero), size, shape, and minor visual guidelines.

Though one of Ri'neref's top priorities was construction of a Temple, there were disagreements as to specifics, causing numerous delays in the finalization of construction plans. Eventually, construction was started in 48 DE and the Temple was completed in 63 DE. Known as the Regeltovokum, the Temple to Yahvo was meant as a place of worship as well as a reminder of the prophesied Great King who would come to them soon*.

Ri'neref also made it a priority to install massive fans that would supply the cavern with fresh air. Natural openings existed but it was quickly discovered that they did not supply ample circulation for the cavern. As a result, massive shafts and fans were built and installed over a thirty-year period between 84 and 114 DE. It should be noted that numerous records point to a small group of D'ni disappearing upon completion of the fans. It is most often assumed that they remained on the surface of Earth to live. 

Throughout his reign, records point to multiple occasions on which Ri'neref refused to build a palace for himself. Instead, he lived in a fairly basic home, similar in fashion to most of his fellow citizens and made it especially clear that until Yahvo had a new home, he could not allow himself one. Although, even after the Temple was completed, Ri'neref refused to build a palace, always focusing more on the religious and government sites. Ri'neref's own philosophy centered on the fact that it was much easier to focus on Yahvo and his wishes when circumstances were difficult and struggles more abundant. It was strongly believed that Ri'neref's refusal to build a palace was an expression of that philosophy.

In 120 DE, Ri'neref died of apparent heart complications. He was 327 years old. Though he had married, he left no children. As a result, he chose one of his apprentices, named Ailesh, to succeed him.


* Taken from the Memoirs of Ailesh

* From the Oath of the New Guild of Writers written by Ri'neref

* Taken from the journals of Grand Master Najun of the Guild of Legislators

* Garternay's sun was dying and would eventually cause a rapid decrease in temperature making it an inhabitable Age

* The Great Zero itself was usually based on a prominent natural landmark within an Age. From the Great Zero a line was drawn, usually toward magnetic North, to aid in navigation, construction, etc...

* It should be noted that the 18 Major Guilds of D'ni were not necessarily the same as the 18 that had existed on Garternay. In fact, they were probably much different. Though there is no information that details the Major Guilds of Garternay, we do know that the Guilds were meant to be flexible and serve the people in the needs of their time.

* Taken from a transcript of Ri'neref's speech on the first Day of the Circle

* The prophetical work the Regeltavok of Oorpah, a book Ri'neref believed strongly in, dealt with numerous prophesies of a Great King who would be sent by Yahvo to guide the people
"""
