""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xMarriageJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xMarriageJournalCover_eng*1#0.hsm"><font size=16 face=Michelle color=982A2A><margin left=62 right=62 top=48><p align=center>Marriage

<p align=left>Much more than modern cultures, within D'ni culture all citizens were expected to marry. In fact, it was even believed that marriage was an important part of a relationship with Yahvo as it taught and revealed the necessary requirements for such a relationship. Both marriage relationships and the relationship with Yahvo were described by the same D'ni word taygahn. Literally translated the word means "to love with the mind", and implied a deep understanding, respect, and most importantly unselfish love for one another. 

Obviously the religious influence on most of D'ni culture was very strong and, as a result, marriage was not something taken lightly. It was considered a lifetime commitment and, for a D'ni who could live to be 300 years old, it obviously was not a decision the D'ni felt should be rushed into and it seems as though it rarely was. 

Some records point to rare arranged marriages, although for the most part it seems that the decision was up to individuals.  Marriage was not permitted before the age of 25 and marriage between blood relatives was strictly forbidden. Though allowed, marriage between the classes was looked down upon.  Marriage to other worlders was practically unheard of. I've found certain writings from the 9000's going so far as to call the mixing of D'ni blood with outside cultures a travesty, while others wrote such a child (who marries an outsider) was better off dead.

<font color=323853>The marriage ceremony itself was not a single day event but one that took over five days. Attendance to those sections of the ceremony to which one was invited was extremely important and it was considered a disgrace to be invited and not attend. 

The event usually began with a small ceremony held on the evening before the First Day of the marriage ceremony. The ceremony always took place at the home of the groom (or his parents) and was meant to confirm both the bride and groom's decision to be united to one another in front of their immediate family. 

<font color=982A2A>The groom presented his bride-to-be with a gift representing the confirmation of his choice. The acceptance of the gift by the bride-to-be was acknowledgement of her decision. Immediately after her acceptance of the gift, the bride-to-be was escorted away with her family and not to be seen by her groom until the Joining Ceremony that would take place on the Fifth Day.

The First Day was meant for the bride and groom to spend time with their families. As they were starting their own family, their old family would no longer be the highest priority. Thus, the day was set aside to spend time with that original family. Traditionally, the day ended with a large meal as well as speeches and blessings from the parents to the child. 

The Second Day was set-aside for the bride and groom to spend with friends, both married and unmarried. Traditionally, one of the friends would host a large dinner at the end of the day. 

The Third Day was reserved for spending time with the soon to be in-laws. It was on the day that the bride and groom received blessings from their in-laws as well as other members of the family. Again, there was a traditional larger meal at the end of the day marked by speeches from the eventual in-laws and other soon to be family members. 

The Fourth Day was meant for the couple to spend time alone with Yahvo individually. Though many apparently viewed the day as a formality, others viewed it as the most significant of all the days. The day was often filled with prayer asking for Yahvo's blessings upon the event as well as a time to understand Yahvo's desires for their new lives together. It was also considered a time to purify themselves before Yahvo. Some chose to spend time with the priests or prophets, while others read the Holy Books and talked to Yahvo himself. 

The Fifth Day was the Day of Joining. The early portion of the day was set aside for physical preparation while the later part of the day was set-aside for the Joining Ceremony itself.

For those who did not have access to Private Ages, the ceremony usually took place on "Marriage Ages". For the upper classes, the ceremony took place in Family Ages. All family was expected to attend, as were fellow Guild members. 

All of those in attendance were divided into two sides. One side represented the groom while the other represented the bride. Between the two sides, in the center, were a long aisle and a triangular podium. The bride and groom would each approach their side of the podium by walking through their respective family and friends. It was after all, those family and friends who had made the bride and groom what they were, and the D'ni believed, it was those family and friends who should "present" their bride or groom to their spouse. The priestess usually stood on the third side of the podium. 

As with most important events, and especially marriage, the bride and groom wore the bracelets they had been given at birth as well as maturity. After the bride and groom arrived to the platform, the father of the bride would remove the bride's bracelets and give them to the groom. The D'ni believed the giving of the bracelets represented the giving of the bride's purity and adulthood to the groom. A short speech often followed the event. The father of the groom would follow the father of the bride with the identical procedure, giving his son to the bride. 

<font color=323853>The giving of the children was followed by an expression of both parents of their blessings upon those being joined, as well as all of those present. Symbolically, the bride and groom then switched sides to represent of an acceptance of all the brides family and friends of the groom and visa versa. Both the bride and groom then handed all four bracelets to the priestess. 

While the priestess led the couple through their commitments to one another and Yahvo, the bride and groom placed their hands upon the podium. During the commitments, the couple made promises to one another followed by promises to Yahvo. All were recited aloud to the priestess. 

The priestess usually reminded the couple that marriage was a reminder of taygahn (to know with the mind) and that their love should always be a representation of their love for Yahvo.  

Following the commitments, the priest would place two new, and larger, bracelets upon the bride and groom. The groom's was placed upon the left wrist and the bride the right wrist. The new bracelets were meant to represent both the purity and maturity bracelets their spouse had previously worn. The D'ni emphasized that the spouse was now your responsibility to keep pure and knowledgeable of good and evil. The bracelets were meant to be a constant reminder of that responsibility as well as commitment to maintain the best for that spouse.

<font color=982A2A>After the new bracelets were placed upon the wrists, the hands of the bride and groom were wrapped together with a tight cord, covering the wrist and hands completely. Upon completion, the priest placed a ring upon the pinky of each "free" hand. The rings were symbolic reminders of the entire ceremony and placed upon the fifth finger to represent the joining that took place on the fifth day. 

The priestess would then usually remove herself from the podium so that the couple could take her place. Together the couple then walked down the aisle between the two "parties" and toward the far end of the aisle where a glass of wine waited for them. Before drinking the couple knelt and prayed together to Yahvo.

After the prayer they each drank from the cup and the two sides of the hall merged into one group, often with great celebration. They were now considered joined and the celebration could begin.

Families usually fed all in attendance and there was typically dancing and music. The couple was expected to keep their hands united throughout the night as a reminder that they were now joined both in the eyes of man and Yahvo. The binding of the hands was apparently meant to be somewhat troublesome, symbolizing that there would be difficult times to their relationship but that those times did not affect the fact they were now joined.

Following the celebrations, tradition was for the couple to embrace and the priestess to touch a Linking Book to them so that they would both link to "vacation" or "honeymoon"-type Ages. Though these vacations were usually short, it was not unusual for the man to not work for up to a year in order to build the new marriage.

I should also note that the cord used to join the couple's hands together was also viewed as a sacred item. It seems as though various couples used the cords in a variety of different ways; some using them for necklaces and others hanging them in their house.

"""
