""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xMarriageJournalEnglish
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xMarriageJournalCover_eng*1#0.hsm"><font size=16 face=Michelle color=982A2A><margin left=62 right=62 top=48><p align=center>Ehe

<p align=left>Noch viel mehr als in modernen Kulturen wurde von allen D'ni erwartet, dass sie heirateten. Es war sogar so, dass man glaubte, dass Heirat ein wichtiger Bestandteil der Beziehung zu Yahvo sei, da man durch sie die ntige Voraussetzung fr eine solche Beziehung lerne. Sowohl die Beziehung zwischen Ehepartnern als auch die zu Yahvo wurde durch dasselbe Wort, 'Taygahn', beschrieben. Wrtlich bersetzt bedeutet dies 'mit dem Geist lieben' und beschrieb somit eine Beziehung, die durch tiefes Verstndnis, Respekt und vor allem selbstlose Liebe gekennzeichnet war. 

Offensichtlich war der religise Einfluss in den meisten D'ni-Kulturen sehr stark und von daher wurde eine Ehe sehr ernst genommen. Sie wurde als lebenslange Verantwortung angesehen und so war die Frage nach dem geeigneten Lebenspartner fr einen D'ni, der 300 Jahre alt werden konnte, keine Entscheidung, die er berstrzt htte. 

Einige Aufzeichnungen deuten darauf hin, dass einige Ehen arrangiert worden sind, obwohl es so aussieht, dass diese Entscheidung von jedem individuell getroffen wurde. Man durfte vor seinem 25. Lebensjahr nicht heiraten und die Ehe zwischen Blutsverwandten war strengstens verboten. Obwohl erlaubt, wurde auf Ehen zwischen verschiedenen Klassen herabgesehen. Ehen zu Auenstehenden gab es praktisch keine. Ich habe einige Schriftstcke aus den 9000ern gefunden, aus denen hervorgeht, dass die Vermischung von D'ni-Blut mit dem von Auenstehenden als Travestie bezeichnet wurde, whrend andere schrieben, dass ein solches Kind (das einen Auenstehenden heiratet) besser dran wre, wenn es tot sei.

<font color=323853>Die Hochzeitsfeierlichkeiten selber dauerten nicht nur einen, sondern fnf Tage lang. Das Erscheinen zu den Feierlichkeiten, zu denen man eingeladen war, war sehr wichtig, und es wurde als Schmach angesehen, wenn man eingeladen war und nicht erschien. 

Das Ereignis begann normalerweise mit einer kleinen Zeremonie am Vorabend des ersten Tages der Hochzeitsfeierlichkeiten. Diese Zeremonie fand immer im Haus des Brutigams (oder seiner Eltern) statt und diente dazu, die Entscheidung der Braut und des Brutigams, ihr Leben gemeinsam zu verbringen, vor den nchsten Angehrigen zu besttigen. 

<font color=982A2A>Der Brutigam berreichte der Braut ein Geschenk als Zeichen der Besttigung seiner Wahl. Durch die Annahme des Geschenks besttigte die Braut ihre Entscheidung. Direkt nach der Annahme des Geschenks wurde die Braut von ihrer Familie weggefhrt. Der Brutigam sah sie erst am fnften Tag bei der Bindungszeremonie wieder.

Der erste Tag war dazu gedacht, dass Braut und Brutigam Zeit mit ihren Familien verbrachten. Da sie ihre eigene Familie grndeten, wrde die alte Familie nicht mehr oberste Prioritt besitzen. Daher wurde dieser Tag damit verbracht, Zeit mit der ursprnglichen Familie zu verbringen. Der Tag endete blicherweise mit einem Festmahl sowie mit Reden und dem Segen der Eltern fr die Kinder. 

Der zweite Tag war dazu gedacht, dass Braut und Brutigam Zeit mit ihren Freunden verbrachten, sowohl mit verheirateten als auch mit unverheirateten. blicherweise richtete einer der Freunde am Ende des Tages ein Festessen aus. 

Der dritte Tag diente dazu, Zeit mit den zuknftigen Schwiegereltern zu verbringen. An diesem Tag erhielten Braut und Brutigam den Segen ihrer Schwiegereltern und von anderen Familienmitgliedern. Auch hier wurde blicherweise der Tag mit einem Festessen sowie Ansprachen beendet. 
Der vierte Tag diente dazu, dass Braut und Brutigam jeder fr sich Zeit mit Yahvo verbrachte. Auch wenn einige diesen Tag nur als Formalitt ansahen, war er fr andere der wichtigste dieser fnf Tage. Er war oft angefllt mit Gebeten, in denen man um Yahvos Segen bat, sowie Zeit der Meditation, um Yahvos Wnsche bezglich des neuen gemeinsamen Lebens zu ergrnden. Die Zeit wurde auch dazu genutzt, um sich vor Yahvo zu lutern. Einige zogen es vor, die Zeit mit Priestern oder Propheten zu verbringen, whrend andere die Heiligen Bcher studierten und zu Yahvo redeten. 

Der fnfte Tag war der Tag der Bindung. Der erste Teil des Tages diente den Vorbereitungen, whrend der restliche Tag fr die Bindungszeremonie selbst gedacht war.

Fr diejenigen, die keinen Zugriff auf eigene Welten hatten, fand diese Zeremonie normalerweise in den 'Hochzeits-Welten' statt. Die oberen Klassen feierten diese Zeremonie in den Familien-Welten. Man erwartete das Erscheinen aller Familien- und Gildemitglieder. 

Jeder der Gste wurde zwei verschiedenen Seiten zugeordnet: Eine Seite reprsentierte den Brutigam, whrend die andere die Braut reprsentierte. In der Mitte, zwischen den beiden Seiten, befand sich ein langer Gang und ein dreieckiges Podium. Braut und Brutigam nherten sich dem Podium jeweils von ihrer Seite und liefen dabei durch die Ansammlung ihrer jeweiligen Familien und Freunde. Schlielich waren es diese Freunde und Familienmitglieder, die die Braut und den Brutigam zu dem gemacht haben, was sie jetzt waren, und von daher sollten diese Familienangehrigen und Freunde ihre Braut bzw. ihren Brutigam an den zuknftigen Ehepartner bergeben. Die Priesterin stand normalerweise auf der dritten Seite des Podiums. 

Wie bei allen wichtigen Ereignissen - insbesondere bei der Hochzeit - trugen die Brautleute ihre Armbnder, die ihnen bei ihrer Geburt und bei der Zeremonie der Reife bergeben wurden. Nachdem die Brautleute an der Plattform angekommen waren, entfernte der Vater der Braut die Armbnder, um sie zu lsen und sie dem Brutigam zu bergeben. Die D'ni sahen die bergabe der Armbnder als Zeichen dafr, dass die Reinheit und die Reife der Braut dem Brutigam bergeben wurden. Diesem Ereignis folgte oft eine kurze Rede. Daraufhin wiederholte der Vater des Brutigams die Handlungen des Vaters der Braut und bergab somit seinem Sohn der Braut. 

<font color=323853>Anschlieend sprachen beide Elternpaare ihren Segen fr die Brautleute und alle Gste aus. Braut und Brutigam wechselten anschlieend die Seiten, um so symbolisch zum Ausdruck zu bringen, dass sie die neuen Familienmitglieder und Freunde annahmen. Dann bergaben sie der Priesterin alle vier Armbnder. 

Braut und Brutigam legten ihre Hnde aufs Podium, whrend die Priesterin ber die Verpflichtungen gegenber Yahvo und dem zuknftigen Ehepartner sprach. Whrend der Zeremonie legte das Paar ein gegenseitiges Gelbnis ab und bekrftigte sein Versprechen vor Yahvo. All diese Versprechen und Gelbnisse wurden laut vor der Priesterin wiederholt. 

Normalerweise erinnerte die Priesterin das Paar daran, dass es in einer Ehe darum geht, mit dem Geist zu lieben (Taygahn) und dass ihre Liebe immer eine Darstellung ihrer Liebe zu Yahvo sein solle.

Nach diesen Gelbnissen legte die Priesterin der Braut und dem Brutigam neue und grere Armbnder um. Der Brutigam trug seines am linken Arm, die Braut am rechten. Die neuen Armbnder sollten das Reinheits- und Reifearmband reprsentieren, die die Brautleute vorher getragen hatten. Die D'ni betonten damit, dass man nun die Verantwortung trug fr die Reinheit des Ehepartners und fr dessen Unterscheidungskraft zwischen Gut und Bse verantwortlich sei. Die Armbnder dienten zur fortwhrenden Erinnerung an diese Verantwortung sowie als Versprechen, immer das Beste fr den Ehepartner zu wollen.
<font color=982A2A>Nachdem die neuen Armbnder angelegt worden waren, wurden die Hnde der Brautleute mit einem engen Strick zusammengebunden, wobei Hnde und Armgelenke vollkommen bedeckt wurden. Anschlieend platzierte die Priesterin einen Ring an den kleinen Finger der 'freien' Hand. Die Ringe dienten zur symbolischen Erinnerung an die gesamte Zeremonie und wurden auf den fnften Finger gestreift, als Erinnerung daran, dass diese Zeremonie am fnften Tag stattfand. 

Anschlieend entfernte sich die Priesterin meist vom Podium, so dass das Paar ihren Platz einnehmen konnte. Das Paar lief dann zusammen den Gang zwischen den beiden 'Gruppen' entlang bis zum Ende des Ganges, wo ein Glas Wein auf sie wartete. Bevor sie es tranken, kniete sich das Paar nieder und betete zu Yahvo.

Nach dem Gebet tranken sie abwechselnd aus dem Becher und die beiden Seiten mischten sich zu einer groen Gruppe - oftmals unter groen Feierlichkeiten. Nun war die Verbindung vollkommen und die eigentlichen Feierlichkeiten konnten beginnen.

Die Familien richteten normalerweise das Essen aus und auerdem gab es meist auch Musik und Tanz. Es wurde vom Paar erwartet, dass seine Hnde die ganze Nacht ber verbunden bleiben sollten, als Symbol dafr, dass sie nun vor den Menschen und Yahvo vereint seien. Die Verstrickung der Hnde sollte beschwerlich sein, als Symbol fr die schweren Zeiten, denen sie in ihrer Beziehung begegnen wrden, die aber keinen Einfluss darauf haben wrden, dass sie verbunden sind.

Nach den Feierlichkeiten war es blich, dass sich das Paar umarmte und die Priesterin ein Verbindungsbuch berhrte, das das Paar in 'Urlaubs-' oder 'Hochzeitsreise-Welten' brachte. Obwohl dieser Urlaub in der Regel kurz war, so war es nicht ungewhnlich, dass der Mann ein Jahr lang nicht arbeitete, um die junge Ehe zu festigen.

Es sollte auch erwhnt werden, dass der Stick, mit dem die Hnde zusammengebunden waren, als heiliger Gegenstand betrachtet wurde. Einige Paare verwendeten den Strick auf verschiedenste Weise - einige als Halsketten, andere hngten ihn in ihrem Haus auf.

"""
