""" *==LICENSE==*

CyanWorlds.com Engine - MMOG client, server and tools
Copyright (C) 2011  Cyan Worlds, Inc.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

You can contact Cyan Worlds, Inc. by email legal@cyan.com
 or by snail mail at:
      Cyan Worlds, Inc.
      14617 N Newport Hwy
      Mead, WA   99021

 *==LICENSE==* """
# xNegilahnJournalGerman
# change the contents of the variable below to the desired contents of the journal
xJournalContents = """<cover src="xKIJournalCover*1#0.hsm"><font size=10 face=courier color=000000><margin left=62 right=62 top=62 bottom=48><p align=center>

<p align=left>Auszug aus der D'ni-Einfhrungsnotiz fr Negilahn
bersetzt von Tricia Lawson 20.11.03

Willkommen in Negilahn, Heimat der berchtigten "tarpin shal" und der "bezol pumi"!

Negilahn war eines der ersten Stcke, die unserem Museum 8797 auf Wunsch von Frst Jerahl hinzugefgt wurden. Zu diesem Zeitpunkt waren die Erhalter und die Museumsexperten der Meinung, dass Negilahn ausreichend erforscht sei, um die Welt in einer Museumskapsel unseren Besuchern zur eigenen Besichtigung zugnglich zu machen. 

Sie werden feststellen, dass alle unsere Kapseln, auch die fr Negilahn, eine Reihe von Sonderfunktionen besitzen. Die Solarenergie macht es mglich, dass diese Kapseln ohne zustzliche Energiequelle funktionieren. Sie laden sich kontinuierlich auf, so lange die Nutzung auf ein Minimum beschrnkt bleibt, aber bei umfangreichem Gebrauch sind die Energiezellen schnell erschpft. Achten Sie also darauf, die Energievorrte der Kapsel nicht vor Einbruch der Nacht zu erschpfen, da Ihnen sonst einiges entgehen wird.  

Ehe Sie Negilahn besuchen, wollen wir Sie kurz mit den Geschpfen vertraut machen, die dort leben. Aber bedenken Sie dabei, dass wir zwar versuchen, Sie an den optimalen Ort zu bringen, Negilahn aber eine Naturlandschaft ist. Wir haben keine Kontrolle darber, wann und wo Sie unsere Freunde dort entdecken werden ... und ob Sie sie berhaupt sehen. Unsere Kapseln besitzen Klang- und Geruchssimulatoren, um die Tiere anzulocken, aber es handelt sich um echte Tiere und daher knnen wir keine Garantien geben. 

Bitte denken Sie auch daran, dass die Ergebnisse Ihrer Handlungen nicht immer sofort offenbar werden. 

Viel Glck und viel Vergngen! 

Hinweise zur Tierwelt von Negilahn: 

Anstatt Ihnen alle Geheimnisse von Negilahn sofort zu verraten, mchten wir, dass Sie die Kreaturen selbst entdecken. Die folgenden Anmerkungen dienen nur zur Einfhrung hinsichtlich der Bewohner von Negilahn. 

Man kann sagen, dass wenn Sie keine "kiris" sehen, irgendetwas nicht stimmt. Die groen Schwrme sind normalerweise berall in der Luft zu sehen - besonders an freien Stellen. "Kiris" sind die einzige Nahrungsquelle fr die "urwins". Wenn Sie also einen Schwarm "kiris" sehen, halten Sie die Augen auf: Ein "urwin" drfte nicht weit sein. 

"Gipelis" sind eine besondere Erscheinung unter Negilahns kleineren Kreaturen. Es handelt sich dabei um eine buntere Variante der "kiris". Man sieht sie oft durch die Luft fliegen und sie stellen einen Leckerbissen fr die "reepahs" dar. 

"Nerims" sind sich langsam fortbewegendende und wunderschne Bewohner Negilahns. Whrend der Paarungszeit, und dann besonders bei Nacht, haben Sie die Mglichkeit Zeuge der atemberaubenden Vorstellung eines weiblichen "nerims" zu werden. Weitere Informationen zur Paarungszeit der "nerims" erhalten Sie bei den Mitarbeitern des Museums. 

Die "oocha paras", die man oft in Bumen hngen sieht, sind in Wirklichkeit junge "tarpin shal". Versuchen Sie selbst dem Lebenszyklus eines "tarpin shals" zu folgen. Ein kleiner Hinweis: Achten Sie sehr genau auf die "gahtsai". 

"Pumis" jagen in Rudeln und fressen oft die Jungen anderer Tierarten Negilahns. "Pumis" erlegen auerdem kranke, kleine oder schwache Exemplare anderer Tierarten, die normalerweise grer sind als sie. Sie springen gerne von Baum zu Baum, sie mssen also schnell sein und die Augen aufhalten. 

Versuchen Sie herauszufinden, was gerne pumis frisst. Auch hier zu ein kleiner Hinweis: Sie fressen sehr langsam und leben weit oben in den Bumen.  

Zu den Bewohnern Negilahns gehren auerdem auch verspielte Kreaturen, die gerne "nerims", "gipelis" und anderen Pflanzen und Tiere fressen. Allerdings sind sie sehr scheu und wir haben festgestellt, dass man sie meist nur sehr weit entfernt von der Kapsel findet. Wenn Sie also einen "reepah" sehen, sollten Sie sich glcklich schtzen. 

"Gahtsai" sind meist sehr leicht zu entdecken, besonders wenn sie sich ausruhen. Wir denken daher, dass Sie sie auch ohne weitere Hinweise finden. Wenn Sie einen sehen, sollten Sie auf die Streifen achten: Kein Muster gleicht dem anderen. 

Obwohl die "urwins" biologisch gesehen Vgel sind, knnen sie nicht fliegen! Aber da es die "kiris", brauchen sie das auch nicht. "Urwins" sind die einzige Tierart Negilahns, die sich nur einmal im Leben einen Partner sucht und daher sieht man sie oft in Paaren. 

Wenn Sie einen "panuhdoy" sehen, werden Sie wissen, warum er seinen Namen trgt. Mehr werden wir Ihnen an dieser Stelle nicht verraten. 

Der "tarpin shal" ist Negilahns bekanntestes Tier. Wenn Sie die Gelegenheit haben werden, zu sehen, wie er sich auf ein Tier unter ihm fallen lsst, dann werden Sie auch sehr schnell wissen, warum. Um ihn zu sehen, werden Sie sehr weit oben in die Bume sehen mssen. Sie sind nicht sehr leicht zu entdecken, aber wir versichern Ihnen, dass sie die Mhe wert sind.

Alle weiteren Informationen werden Sie selber herausfinden mssen. Viel Glck - wir hoffen, es gefllt Ihnen in Negilahn. Bitte wenden Sie sich bei Fragen oder Problemen an einen Mitarbeiter des Museums. 
"""
